=== man/CMakeLists.txt ===

install(FILES gensio.5 DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man5)

install(FILES gensio_event.3 str_to_gensio.3 gensio_set_callback.3
	gensio_set_log_mask.3 gensio_os_funcs.3 gensio_err.3 gensio_write.3
	gensio_open.3 gensio_alloc_channel.3 gensio_close.3 gensio_control.3
	gensio_set_read_callback_enable.3 gensio_get_type.3 gensio_set_sync.3
	gensio_accepter_event.3 gensio_acc_set_callback.3
	gensio_acc_shutdown.3 gensio_acc_set_accept_callback_enable.3
	gensio_acc_control.3 gensio_acc_get_type.3 gensio_add_default.3
	str_to_gensio_accepter.3 gensio_acc_accept_s.3 gensio_acc_startup.3
	gensio_mdns.3 sergensio.5 gensio_to_sergensio.3 sergensio_baud.3
	sergensio_b_alloc.3 sergensio_event.3 gensio_mdns.3
	DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man3)

macro(install_man3_symlink filepath sympath)
    install(CODE "execute_process(COMMAND sh -c \"${CMAKE_COMMAND} -E create_symlink ${filepath} $DESTDIR${CMAKE_INSTALL_FULL_MANDIR}/man3/${sympath}\")")
    install(CODE "message(\"-- Created symlink: ${sympath} -> ${filepath}\")")
endmacro(install_man3_symlink)

install_man3_symlink(str_to_gensio.3 str_to_gensio_child.3)
install_man3_symlink(str_to_gensio.3 gensio_acc_str_to_gensio.3)
install_man3_symlink(gensio_set_callback.3 gensio_set_user_data.3)
install_man3_symlink(gensio_set_callback.3 gensio_get_user_data.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_get_log_mask.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_log_level_to_str.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_vlog.3)
install_man3_symlink(gensio_set_log_mask.3 gensio_log.3)
install_man3_symlink(gensio_os_funcs.3 gensio_default_os_hnd.3)
install_man3_symlink(gensio_os_funcs.3 gensio_unix_funcs_alloc.3)
install_man3_symlink(gensio_os_funcs.3 gensio_win_funcs_alloc.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_setup.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_cleanup.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_unix_get_wait_sigset.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_new_thread.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_wait_thread.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_register_term_handler.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_register_reload_handler.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_proc_winsize_handler.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_zalloc.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_zfree.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_lock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_lock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_lock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_unlock.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_get_monotonic_time.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_start_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_start_timer_abs.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_stop_timer.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_stop_timer_with_done.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_runner.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_runner.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_run.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_set_vlog.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_service.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_handle_fork.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_alloc_waiter.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_free_waiter.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wait.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wait_intr.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wait_intr_sigmask.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_wake.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_set_data.3)
install_man3_symlink(gensio_os_funcs.3 gensio_os_funcs_get_data.3)
install_man3_symlink(gensio_err.3 gensio_err_to_str.3)
install_man3_symlink(gensio_write.3 gensio_write_sg.3)
install_man3_symlink(gensio_open.3 gensio_open_s.3)
install_man3_symlink(gensio_open.3 gensio_open_nochild.3)
install_man3_symlink(gensio_open.3 gensio_open_nochild_s.3)
install_man3_symlink(gensio_close.3 gensio_close_s.3)
install_man3_symlink(gensio_close.3 gensio_disable.3)
install_man3_symlink(gensio_close.3 gensio_free.3)
install_man3_symlink(gensio_set_read_callback_enable.3
		     gensio_set_write_callback_enable.3)
install_man3_symlink(gensio_get_type.3 gensio_get_child.3)
install_man3_symlink(gensio_get_type.3 gensio_is_client.3)
install_man3_symlink(gensio_get_type.3 gensio_is_reliable.3)
install_man3_symlink(gensio_get_type.3 gensio_is_packet.3)
install_man3_symlink(gensio_get_type.3 gensio_is_message.3)
install_man3_symlink(gensio_get_type.3 gensio_is_authenticated.3)
install_man3_symlink(gensio_get_type.3 gensio_is_encrypted.3)
install_man3_symlink(gensio_set_sync.3 gensio_clear_sync.3)
install_man3_symlink(gensio_set_sync.3 gensio_read_s.3)
install_man3_symlink(gensio_set_sync.3 gensio_write_s.3)
install_man3_symlink(str_to_gensio_accepter.3 str_to_gensio_accepter_child.3)
install_man3_symlink(gensio_acc_set_callback.3 gensio_acc_set_user_data.3)
install_man3_symlink(gensio_acc_set_callback.3 gensio_acc_get_user_data.3)
install_man3_symlink(gensio_acc_shutdown.3 gensio_acc_shutdown_s.3)
install_man3_symlink(gensio_acc_shutdown.3 gensio_acc_disable.3)
install_man3_symlink(gensio_acc_shutdown.3 gensio_acc_free.3)
install_man3_symlink(gensio_acc_set_accept_callback_enable.3
		     gensio_acc_set_accept_callback_enable_cb.3)
install_man3_symlink(gensio_acc_set_accept_callback_enable.3
		     gensio_acc_set_accept_callback_enable_s.3)
install_man3_symlink(gensio_acc_get_type.3 gensio_acc_is_reliable.3)
install_man3_symlink(gensio_acc_get_type.3 gensio_acc_is_packet.3)
install_man3_symlink(gensio_acc_get_type.3 gensio_acc_is_message.3)
install_man3_symlink(gensio_add_default.3 gensio_set_default.3)
install_man3_symlink(gensio_add_default.3 gensio_get_default.3)
install_man3_symlink(gensio_add_default.3 gensio_get_defaultaddr.3)
install_man3_symlink(gensio_add_default.3 gensio_del_default.3)
install_man3_symlink(gensio_add_default.3 gensio_reset_defaults.3)
install_man3_symlink(gensio_acc_accept_s.3 gensio_acc_set_sync.3)
install_man3_symlink(gensio_mdns.3 gensio_alloc_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_free_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_watch.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_watch.3)
install_man3_symlink(gensio_to_sergensio.3 sergensio_to_gensio.3)
install_man3_symlink(gensio_to_sergensio.3 sergensio_get_user_data.3)
install_man3_symlink(gensio_to_sergensio.3 sergensio_is_client.3)
install_man3_symlink(sergensio_baud.3 sergensio_datasize.3)
install_man3_symlink(sergensio_baud.3 sergensio_parity.3)
install_man3_symlink(sergensio_baud.3 sergensio_stopbits.3)
install_man3_symlink(sergensio_baud.3 sergensio_flowcontrol.3)
install_man3_symlink(sergensio_baud.3 sergensio_iflowcontrol.3)
install_man3_symlink(sergensio_baud.3 sergensio_sbreak.3)
install_man3_symlink(sergensio_baud.3 sergensio_dtr.3)
install_man3_symlink(sergensio_baud.3 sergensio_rts.3)
install_man3_symlink(sergensio_baud.3 sergensio_signature.3)
install_man3_symlink(sergensio_baud.3 sergensio_linestate.3)
install_man3_symlink(sergensio_baud.3 sergensio_modemstate.3)
install_man3_symlink(sergensio_baud.3 sergensio_flowcontrol_state.3)
install_man3_symlink(sergensio_baud.3 sergensio_flush.3)
install_man3_symlink(sergensio_baud.3 sergensio_send_break.3)
install_man3_symlink(sergensio_baud.3 sergensio_cts.3)
install_man3_symlink(sergensio_baud.3 sergensio_dcd_dsr.3)
install_man3_symlink(sergensio_baud.3 sergensio_ri.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_b_free.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_baud_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_datasize_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_parity_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_stopbits_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_flowcontrol_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_iflowcontrol_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_sbreak_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_dtr_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_rts_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_cts_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_dcd_dsr_b.3)
install_man3_symlink(sergensio_b_alloc.3 sergensio_ri_b.3)
install_man3_symlink(gensio_mdns.3 gensio_alloc_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_free_mdns.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_service.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_add_watch.3)
install_man3_symlink(gensio_mdns.3 gensio_mdns_remove_watch.3)
