=== glib/c++/CMakeLists.txt ===
add_subdirectory(include)
add_subdirectory(tests)
