=== glib/c++/include/gensio/CMakeLists.txt ===
install(FILES gensioglib
	DESTINATION include/gensio)
