=== tcl/c++/include/gensio/CMakeLists.txt ===
install(FILES gensiotcl
	DESTINATION include/gensio)
