=== debian/changelog ===
gensio (2.5.1-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:47:22 +0000

gensio (2.5.1-2) unstable; urgency=medium

  * architecture specific adaptions for symbols file
  * override long line lintian warning
  * clean up examples cruft before installation
    (unreproducible contents)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 11 Aug 2022 12:41:47 +0200

gensio (2.5.1-1) unstable; urgency=medium

  * new upstream version 2.5.1
  * Standards-Version: 4.6.1 (no changes necessary)
  * add symbols file for libraries
  * greflector in gensio-bin needs python

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 11 Aug 2022 12:14:19 +0200
