=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
# -Wl is the default starting bullseye. Can be removed once bullseye is
#  the oldest supported release
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- --with-tcp-wrappers \
		--with-openssl \
		--with-avahi \
		--with-swig \
		--with-python

override_dh_auto_clean:
	dh_auto_clean
	rm -rf tests/__pycache__

execute_after_dh_installexamples:
	rm -rf \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/*.o \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/.libs \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/Makefile \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_client \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync_fork
	mkdir debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
	cp c++/examples/* debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
	rm -rf \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/*.o \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/Makefile \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/mdns \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_client \
	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server

# disable the upstream tests, they depend on an out-of-tree kernel module
override_dh_auto_test:
	true
