## gensio 2.6.2

=== debian/changelog ===
gensio (2.6.2-4) unstable; urgency=medium

  * Apply patch removing duplicate symbols and making symbols optional.
    Thanks to Graham Inggs (Closes: #1031204)
  * gensio-bin: add missing Breaks+Replaces for libgensio-dev.
    Thanks to Helmut Grohne (Closes: #1034976)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 May 2023 21:27:59 +0200

gensio (2.6.2-3) unstable; urgency=medium

  * fix double symbol for ppc64el

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 28 Jan 2023 08:29:04 +0100

gensio (2.6.2-2) unstable; urgency=medium

  * fix libgensio4.symbols according to failed build logs

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 27 Jan 2023 07:57:25 +0100

gensio (2.6.2-1) unstable; urgency=low

  * New upstream version 2.6.2 (Closes: #1026667)
  * rename libgensio0 to libgensio4
  * move gensio.5 manpage to bin package.
    Thanks to John Goerzen (Closes: #1013452)
  * relay python-dependencies of gensio-bin to recommends.
    Fixing of #1017001 has made this possible
  * Standards-Version: 4.6.2 (no changes necessary)
  * Remove obsolete Provides from python3-gensio.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 15 Jan 2023 15:44:49 +0100
