=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-dev,
  pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
  libpam-dev, libsctp-dev, libavahi-client-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/cminyard/gensio
 Vcs-Browser: https://salsa.debian.org/debian/gensio
@@ -15,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgensio0 (= ${binary:Version}), ${misc:Depends}
+Depends: libgensio4 (= ${binary:Version}), ${misc:Depends}
 Description: abstract stream I/O (development files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -31,7 +31,7 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libgensio0
+Package: libgensio4
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -54,7 +54,6 @@
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
-Provides: ${python3:Provides}
 Description: abstract stream I/O (Python 3 bindings)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -72,7 +71,10 @@
 
 Package: gensio-bin
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: ${python3:Depends}, python3-gensio
+Replaces: libgensio0 (<< 2.6.2-4~), libgensio-dev (<< 2.6.2-4~)
+Breaks: libgensio0 (<< 2.6.2-4~), libgensio-dev (<< 2.6.2-4~)
 Description: abstract stream I/O (command line tool)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
