=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/default.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -23,7 +25,8 @@
 		--with-openssl \
 		--with-avahi \
 		--with-swig \
-		--with-python
+		--with-python \
+		--libexecdir=/usr/libexec/${DEB_HOST_MULTIARCH}/
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -47,6 +50,12 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_client \
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server
 
+execute_after_dh_fixperms:
+	chmod 644 debian/libgensio4/usr/libexec/*/gensio/*/libgensio*.so
+
+override_dh_makeshlibs:
+	dh_makeshlibs -a --exclude=libexec
+
 # disable the upstream tests, they depend on an out-of-tree kernel module
 override_dh_auto_test:
 	true
