## gensio 2.6.6

=== debian/changelog ===
gensio (2.6.6-6) unstable; urgency=medium

  * hopefully final version of symbols file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 07:15:11 +0200

gensio (2.6.6-5) unstable; urgency=medium

  * fix stupid typo in symbols file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 04:07:43 +0200

gensio (2.6.6-4) unstable; urgency=medium

  * adapt symbols file again

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 01:16:50 +0200

gensio (2.6.6-3) unstable; urgency=medium

  * bump version for gensios::gensio_cpp_vlog_handler (changed signature?)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 03 Jul 2023 00:04:14 +0200

gensio (2.6.6-2) unstable; urgency=medium

  * adapt symbols file to first buildd run

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 02 Jul 2023 22:41:09 +0200

gensio (2.6.6-1) unstable; urgency=medium

  * new upstream version 2.6.6

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 02 Jul 2023 18:36:42 +0200
