## gensio 2.8.2

=== debian/changelog ===
gensio (2.8.2-6.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:40:46 +0000

gensio (2.8.2-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062097

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:45:44 +0000

gensio (2.8.2-6) unstable; urgency=medium

  * Decleare a breaks and replaces on libgensio4, preventing issues on upgrade.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 15 Feb 2024 07:15:52 -0600

gensio (2.8.2-5) unstable; urgency=medium

  * Revert 64-bit time_t patch by request of submitter.
    Closes: #1062097.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 Feb 2024 18:18:02 -0600

gensio (2.8.2-4) unstable; urgency=medium

  * Apply patch from Lukas Märdian to rename libraries for 64-bit time_t
    transition.  Closes: #1062097.
  * Apply patch from Matthias Klose to mark symbols not seen building
    with -O3 as optional.  Closes: #1061614.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 05 Feb 2024 00:18:56 -0600

gensio (2.8.2-3.1) experimental; urgency=medium

  * Non-maintainer upload.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 10:50:57 +0000

gensio (2.8.2-3) unstable; urgency=medium

  * Additional symbol updates from buildd logs

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Jan 2024 20:12:02 -0600

gensio (2.8.2-2) unstable; urgency=medium

  * Update symbols for additional archs, using
    https://qt-kde-team.pages.debian.net/symbolfiles.html

 -- John Goerzen <jgoerzen@complete.org>  Fri, 26 Jan 2024 17:18:04 -0600

gensio (2.8.2-1) unstable; urgency=medium

  [ Marc Haber ]
  * Update symbols file for longarch64.  Closes: #1051842.

  [ John Goerzen ]
  * New upstream release.
  * Adding myself to uploaders with agreement of Marc Haber.
  * Adding build-dependencies on libglib2.0-dev, libudev-dev, and
    libasound2-dev to accommodate new gensio features.
  * Explicitly disable golang build in call to configure since it is not
    yet supported in the Debian packages.
  * Update Python install rules for new Python path
  * Update and simplify manpage install rules for new version
  * Change libgensio4 -> libgensio6 for upstream soname change

 -- John Goerzen <jgoerzen@complete.org>  Wed, 24 Jan 2024 22:25:18 -0600
