=== debian/control ===
--- 
+++ 
@@ -1,9 +1,12 @@
 Source: gensio
 Priority: optional
-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), dh-python, swig, python3-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
+Uploaders: John Goerzen <jgoerzen@complete.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-python, swig, python3-dev,
  pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
- libpam-dev, libsctp-dev, libavahi-client-dev
+ libpam-dev, libsctp-dev, libavahi-client-dev, libglib2.0-dev,
+ libudev-dev, libasound2-dev, pkg-kde-tools
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/cminyard/gensio
@@ -15,7 +18,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgensio4 (= ${binary:Version}), ${misc:Depends}
+Depends: libgensio6t64 (= ${binary:Version}), ${misc:Depends}
 Description: abstract stream I/O (development files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -31,10 +34,14 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libgensio4
+Package: libgensio6t64
+Provides: ${t64:Provides}
+Breaks: libgensio6 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libgensio4
+Replaces: libgensio6, libgensio4
 Description: abstract stream I/O (runtime files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
