## gensio 2.8.6

=== debian/changelog ===
gensio (2.8.6-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 04 Jan 2025 05:24:40 +0100

gensio (2.8.6-1) unstable; urgency=medium

  * New upstream release.
  * ACK NMU.  Closes: #1062097.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 05 Sep 2024 07:04:28 -0500
