=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gensio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
+Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
 Uploaders: John Goerzen <jgoerzen@complete.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-python, swig, python3-dev,
- pkg-config, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
+ pkgconf, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
  libpam-dev, libsctp-dev, libavahi-client-dev, libglib2.0-dev,
  libudev-dev, libasound2-dev, pkg-kde-tools
 Standards-Version: 4.6.2
