=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3 --with pkgkde_symbolshelper
 
 override_dh_auto_configure:
 	dh_auto_configure -- --with-tcp-wrappers \
@@ -26,6 +26,7 @@
 		--with-avahi \
 		--with-swig \
 		--with-python \
+		--with-go=no \
 		--libexecdir=/usr/libexec/${DEB_HOST_MULTIARCH}/
 
 override_dh_auto_clean:
@@ -51,7 +52,7 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server
 
 execute_after_dh_fixperms:
-	chmod 644 debian/libgensio4/usr/libexec/*/gensio/*/libgensio*.so
+	chmod 644 debian/libgensio6t64/usr/libexec/*/gensio/*/libgensio*.so
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a --exclude=libexec
