=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gensio-$1.tar.gz%" \
   https://github.com/cminyard/gensio/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
