## gensio 2.8.13

=== debian/changelog ===
gensio (2.8.13-7) unstable; urgency=medium

  * Symbols still.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 17:33:18 -0500

gensio (2.8.13-6) unstable; urgency=medium

  * Another symbols attempt

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 13:08:50 -0500

gensio (2.8.13-5) unstable; urgency=medium

  * Yet more symbols.  Sigh.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 12:34:51 -0500

gensio (2.8.13-4) unstable; urgency=medium

  * More symbols file update

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 10:26:26 -0500

gensio (2.8.13-3) unstable; urgency=medium

  * Update symbols file.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 08:45:51 -0500

gensio (2.8.13-2) unstable; urgency=medium

  * Update symbols file

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 08:03:49 -0500

gensio (2.8.13-1) unstable; urgency=medium

  * New upstream release
  * Apply patch to clean up more thoroughly.  Closes: #1070754.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 05 Apr 2025 07:48:05 -0500
