=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gensio
 Priority: optional
-Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
-Uploaders: John Goerzen <jgoerzen@complete.org>
+Maintainer: gensio Maintainers <gensio@packages.debian.org>
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>, John Goerzen <jgoerzen@complete.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), dh-python, swig, python3-dev,
  pkgconf, libssl-dev, libwrap0-dev, libopenipmi-dev (>= 2.0.27),
  libpam-dev, libsctp-dev, libavahi-client-dev, libglib2.0-dev,
