=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,9 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_client \
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server \
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync \
-	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync_fork
+	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/basic_server_sync_fork \
+	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/poll_and_gensio \
+	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/use_iods
 	mkdir debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
 	cp c++/examples/* debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++
 	rm -rf \
