## gensio 3.0.0

=== debian/changelog ===
gensio (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Upstream soname changed.  Changed from libgensio6t64 to libgensio14.
    Since libgensio14 never had a non-t64 version, dropping that from
    the package name.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 28 Oct 2025 20:36:12 -0500
