=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libgensio6t64 (= ${binary:Version}), ${misc:Depends}
+Depends: libgensio14 (= ${binary:Version}), ${misc:Depends}
 Description: abstract stream I/O (development files)
  This library (pronounced gen'-see-oh) is used to abstract stream I/O
  like serial port, TCP, telnet, UDP, SSL, IPMI SOL etc and offers a
@@ -33,7 +33,7 @@
  .
  This package contains the development headers and static libraries.
 
-Package: libgensio6t64
+Package: libgensio14
 Provides: ${t64:Provides}
 Breaks: libgensio6 (<< ${source:Version})
 Architecture: any
