=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	  debian/libgensio-dev/usr/share/doc/libgensio-dev/examples/c++/telnet_server
 
 execute_after_dh_fixperms:
-	chmod 644 debian/libgensio6t64/usr/libexec/*/gensio/*/libgensio*.so
+	chmod 644 debian/libgensio14/usr/libexec/*/gensio/*/libgensio*.so
 
 override_dh_makeshlibs:
 	dh_makeshlibs -a --exclude=libexec
